Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Edit SSO user

Prev Next

Available in Classic and VPC

Edit SSO user information.

Request

This section describes the request format. The method and URI are as follows:

Method URI
PUT /api/v1/users/{userId}

Request headers

For information about the headers common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
userId String Required SSO user ID

Request body

You can include the following data in the body of your request:

Field Type Required Description
description String Optional SSO user description
  • 0-300 characters
userProfile Object Optional SSO user profile information
userProfile.firstName String Optional SSO user name
  • 0-200 characters
userProfile.lastName String Optional SSO user last name
  • 0-200 characters
userProfile.email String Optional SSO user email address
  • 0-200 characters
userProfile.empNo String Optional SSO user employee number
  • 0-200 characters
userProfile.phoneCountryCode String Optional SSO user country code
  • 0-10 characters
  • Country code format
userProfile.phoneNo String Optional SSO user mobile phone number
  • 0-200 characters
  • Mobile phone number format
userProfile.deptName String Optional SSO user department name
  • 0-200 characters
accessRules Object Required Access rule information
accessRules.consoleAccessAllowed Boolean Required Whether to allow console access
  • true | false
    • true: allow
    • false: not allow
accessRules.apiAccessAllowed Boolean Required Whether to allow API Gateway access
  • true | false
    • true: allow
    • false: not allow

Request example

The request example is as follows:

curl --location --request PUT 'https://sso.apigw.ntruss.com/api/v1/users/8306bedf-****-****-****-40394feacec8' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--data '{
    "description": "SSO User",
    "userProfile": {
        "firstName": "Gildong",
        "lastName": "Hong",
        "email": "******@ncloud.com",
        "empNo": "00112233",
        "phoneCountryCode": "82",
        "phoneNo": "010-1111-1111",
        "deptName": "Department"
    },
    "accessRules": {
        "consoleAccessAllowed": true,
        "apiAccessAllowed": true
    }
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
id String - SSO user ID
nrn String - NAVER Cloud Platform resource identification value for SSO user
success Boolean - API processing result

Response status codes

For information about the response status codes common to all Ncloud Single Sign-On APIs, see Ncloud Single Sign-On response status codes.

Response example

The response example is as follows:

{
    "id": "80d9ba0d-****-****-****-76afe6ea5b33",
    "nrn": "nrn:PUB:SSO::*******:User/80d9ba0d-****-****-****-76afe6ea5b33",
    "success": true
}